import bpy

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    bpy.context.screen.scene = imageScene
    bpy.ops.mesh.primitive_plane_add(radius=2, location=(0, 0, -2))
    backgroundPlane = bpy.context.scene.objects.active
    backgroundPlane.name = 'Textured Light Background'
    modifier = backgroundPlane.modifiers.new(name='', type='SUBSURF')
    modifier.render_levels = 1
    modifier.subdivision_type = 'SIMPLE'
    backgroundMaterial = bpy.data.materials.new('Textured Light Background')
    backgroundPlane.data.materials.append(backgroundMaterial)
    backgroundTexture = bpy.data.textures.new('Textured Light Background', type='CLOUDS')
    backgroundTextureSlot = backgroundMaterial.texture_slots.add()
    backgroundTextureSlot.texture = backgroundTexture
    backgroundTexture.noise_basis = 'VORONOI_F2_F1'
    backgroundTexture.noise_scale = 0.01
    backgroundTextureSlot.texture_coords = 'ORCO'
    backgroundTextureSlot.use_map_color_diffuse = False
    backgroundTextureSlot.use_map_normal = True
    backgroundTextureSlot.normal_factor = (extraAmount / 5)
    backgroundTextureSlot.bump_method = 'BUMP_BEST_QUALITY'
    backgroundMaterial.diffuse_color = (0.8, 0.8, 0.8)
    backgroundMaterial.diffuse_intensity = 1
    backgroundMaterial.specular_intensity = 0
    backgroundMaterial.use_transparent_shadows = True
    backgroundMaterial.use_cast_buffer_shadows = False
    bpy.ops.object.lamp_add(type='SPOT', location=(0, 0, -0.2))
    backgroundLamp = bpy.context.scene.objects.active
    backgroundLamp.data.shadow_buffer_type = 'REGULAR'
    backgroundLamp.data.shadow_filter_type = 'GAUSS'
    backgroundLamp.data.shadow_buffer_soft = 100
    backgroundLamp.data.shadow_buffer_samples = 16
    backgroundLamp.data.shadow_buffer_size = 1024
    backgroundLamp.data.shadow_buffer_clip_end = 5
    backgroundLamp.data.spot_size = 1.48353
    backgroundLamp.data.distance = 5
    backgroundPlane.parent = camera
    backgroundLamp.parent = camera