import bpy

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    bpy.context.screen.scene = imageScene
    
    #duplicate imagePlane
    bpy.ops.object.select_all(action='DESELECT')
    imagePlane.select = True
    bpy.ops.object.duplicate(linked=False)
    blurredPlane = bpy.context.selected_objects[0]
    modifier = blurredPlane.modifiers.new(name='', type='SUBSURF')
    modifier.render_levels = 1
    modifier.subdivision_type = 'SIMPLE'
    
    #remove constraints
    for constraint in blurredPlane.constraints:
        blurredPlane.constraints.remove(constraint)
    
    #set up blurred plane
    blurredPlane.parent = imagePlane
    if blurredPlane.dimensions[0] > blurredPlane.dimensions[1]:
        blurredSize = blurredPlane.dimensions[0]
    else:
        blurredSize = blurredPlane.dimensions[1]
    scaleFactor = (8 / blurredSize)
    blurredPlane.scale = (blurredPlane.scale * scaleFactor)
    location = blurredPlane.location
    blurredPlane.location = ((0, 0, (location[2] - 3)))
    
    #set up defocus nodes
    imageScene.use_nodes = True
    nodes = imageScene.node_tree.nodes
    for node in nodes:
        nodes.remove(node)
    nodeInput = nodes.new(type="CompositorNodeRLayers")
    nodeInput.location = ((-100, 400))
    nodeDefocus = nodes.new(type="CompositorNodeDefocus")
    nodeDefocus.location = ((150, 400))
    nodeDefocus.use_zbuffer = True
    nodeDefocus.use_preview = False
    nodeDefocus.f_stop = 8
    nodeDefocus.blur_max = (16 * (extraAmount * 2))
    nodeDefocus.use_preview = True
    nodeOutput = nodes.new(type="CompositorNodeComposite")
    nodeOutput.location = ((400, 400))
    links = imageScene.node_tree.links
    links.new(nodeInput.outputs['Image'], nodeDefocus.inputs['Image'])
    links.new(nodeInput.outputs['Depth'], nodeDefocus.inputs['Z'])
    links.new(nodeDefocus.outputs['Image'], nodeOutput.inputs['Image'])