import bpy

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    bpy.context.screen.scene = imageScene

    name = 'Video Background'
    location = (0, 0, -2.93)
    render = imageScene.render
    aspectRatio = (render.pixel_aspect_x * render.resolution_x) / (render.pixel_aspect_y * render.resolution_y)

    fullwidth = 2.698
    if aspectRatio > 1:
        dimy = aspectRatio * fullwidth
        dimensions = (fullwidth, dimy, 0)
    else:
        dimx = aspectRatio * fullwidth
        dimensions = (dimx, fullwidth, 0)

    textureType = 'IMAGE'

    bpy.ops.mesh.primitive_plane_add()
    object = bpy.context.scene.objects.active
    object.name = name
    modifier = object.modifiers.new(name='', type='SUBSURF')
    modifier.render_levels = 1
    modifier.subdivision_type = 'SIMPLE'
    bpy.ops.object.mode_set(mode='EDIT')
    bpy.ops.uv.unwrap()
    bpy.ops.object.mode_set(mode='OBJECT')
    object.dimensions = dimensions
    bpy.ops.object.transform_apply(scale=True)
    object.location = location
    material = bpy.data.materials.new(name)
    object.data.materials.append(material)
    texture = bpy.data.textures.new(name+' Texture', type=textureType)
    textureSlot = material.texture_slots.add()
    textureSlot.texture = texture

    textureSlot.texture_coords = 'UV'
    texture.image_user.use_auto_refresh = True
    material.use_shadeless = True
    material.diffuse_color = (0, 0, 0)
    if (extraTexture != None):
        texture.image = extraTexture
        texture.image.update()
        texture.image_user.frame_duration = texture.image.frame_duration
        texture.image_user.frame_offset = 0
    textureSlot.diffuse_color_factor = extraAmount
    object.parent = camera