import bpy

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    bpy.context.screen.scene = imageScene

    name = 'Vignette'
    location = (0, 0, -0.93)
    render = imageScene.render
    aspectRatio = (render.pixel_aspect_x * render.resolution_x) / (render.pixel_aspect_y * render.resolution_y)

    fullwidth = 1.28
    if aspectRatio > 1:
        dimy = aspectRatio * fullwidth
        dimensions = (fullwidth, dimy, 0)
    else:
        dimx = aspectRatio * fullwidth
        dimensions = (dimx, fullwidth, 0)
    textureType = 'BLEND'

    bpy.ops.mesh.primitive_plane_add()
    object = bpy.context.scene.objects.active
    object.name = name
    modifier = object.modifiers.new(name='', type='SUBSURF')
    modifier.render_levels = 1
    modifier.subdivision_type = 'SIMPLE'
    bpy.ops.object.mode_set(mode='EDIT')
    bpy.ops.uv.unwrap()
    bpy.ops.object.mode_set(mode='OBJECT')
    object.dimensions = dimensions
    bpy.ops.object.transform_apply(scale=True)
    object.location = location
    material = bpy.data.materials.new(name)
    object.data.materials.append(material)
    texture = bpy.data.textures.new(name+' Texture', type=textureType)
    textureSlot = material.texture_slots.add()
    textureSlot.texture = texture
    textureSlot.color = (0,0,0)
    textureSlot.texture_coords = 'UV'
    textureSlot.invert = True
    material.use_shadeless = True
    material.use_transparency = True
    material.alpha = 0
    texture.use_preview_alpha = True
    material.diffuse_color = (0, 0, 0)
    texture.id_data.progression = 'QUADRATIC_SPHERE'
    texture.intensity = 2
    texture.contrast = 2.5 + extraAmount
    textureSlot.use_map_alpha = True
    textureSlot.alpha_factor = 1
    object.parent = camera